> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/security/identity/password-policy/retrieve-all-passwordpolicy.md).

# Retrieve all PasswordPolicy

This endpoint enables retrieving all PasswordPolicy using pagination and optional filters.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - IAM Identity Password Policies API","version":"1.0.0"},"tags":[{"name":"PasswordPolicy","description":"A password policy describes a set of rules regarding passwords. Authorization is controlled via JWT.\nThis tag groups all operations for passwordpolicy.\n"}],"servers":[{"url":"https://iam.ionos.com"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"parameters":{"effectivePolicy":{"name":"effectivePolicy","in":"query","description":"When set to `true`, then the policy that is in effect for the actor's contract (as defined by the JWT) is returned.\nATM this has the only effect that if no policy is defined for the user/contract, then the IONOS default policy is returned.\n","required":false,"schema":{"type":"boolean"}}},"schemas":{"PasswordPolicyReadList":{"allOf":[{"type":"object","required":["id","type","href"],"properties":{"id":{"description":"ID of the list of PasswordPolicy resources.","type":"string","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["collection"]},"href":{"description":"The URL of the list of PasswordPolicy resources.","type":"string"},"items":{"description":"The list of PasswordPolicy resources.","type":"array","items":{"$ref":"#/components/schemas/PasswordPolicyRead"}}}}]},"PasswordPolicyRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the PasswordPolicy.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["passwordpolicy"]},"href":{"description":"The URL of the PasswordPolicy.","type":"string"},"metadata":{"$ref":"#/components/schemas/Metadata"},"properties":{"$ref":"#/components/schemas/PasswordPolicy"}}},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"PasswordPolicy":{"type":"object","required":["description","minLength"],"properties":{"description":{"type":"string","description":"Human readable description of the policy.","maxLength":1024},"minLength":{"description":"Minimum number characters","minimum":5,"type":"integer"},"minNumberChars":{"description":"Lower characters are considered to be all in range of [0-9]","type":"integer","default":0,"minimum":0},"minUpperChars":{"description":"Lower characters are considered to be all in range of [A-Z]","type":"integer","default":0,"minimum":0},"minLowerChars":{"description":"Lower characters are considered to be all in range of [a-z]","type":"integer","default":0,"minimum":0},"minSpecialChars":{"description":"Special characters are considered to be all characters that are not in the ASCII ranges [a-zA-Z0-9]","type":"integer","default":0,"minimum":0}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/passwordpolicies":{"get":{"operationId":"passwordpoliciesGet","summary":"Retrieve all PasswordPolicy","description":"This endpoint enables retrieving all PasswordPolicy using\npagination and optional filters.\n","parameters":[{"$ref":"#/components/parameters/effectivePolicy"}],"tags":["PasswordPolicy"],"responses":{"200":{"description":"Returned all requested PasswordPolicy successfully.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordPolicyReadList"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/security/identity/password-policy/retrieve-all-passwordpolicy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
